<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::angle Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1angle.html">angle</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">units::angle Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for unit types and containers representing angle values  
<a href="namespaceunits_1_1angle.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:afbae1a62387c141420d80812caa0b586"><td class="memItemLeft" align="right" valign="top"><a id="afbae1a62387c141420d80812caa0b586"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">radian_t</a> &amp;obj)</td></tr>
<tr class="separator:afbae1a62387c141420d80812caa0b586"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe65856f3ff9cafec2da99d531750b12"><td class="memItemLeft" align="right" valign="top"><a id="afe65856f3ff9cafec2da99d531750b12"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">radian_t</a> &amp;obj)</td></tr>
<tr class="separator:afe65856f3ff9cafec2da99d531750b12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64e8b5fb0998dbb015055e7de71ba7a9"><td class="memItemLeft" align="right" valign="top"><a id="a64e8b5fb0998dbb015055e7de71ba7a9"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">degree_t</a> &amp;obj)</td></tr>
<tr class="separator:a64e8b5fb0998dbb015055e7de71ba7a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0260bafc7495f105ddb14df225ea5cd"><td class="memItemLeft" align="right" valign="top"><a id="ad0260bafc7495f105ddb14df225ea5cd"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">degree_t</a> &amp;obj)</td></tr>
<tr class="separator:ad0260bafc7495f105ddb14df225ea5cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9740a904673836e9a483ef29550a0f59"><td class="memItemLeft" align="right" valign="top"><a id="a9740a904673836e9a483ef29550a0f59"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">arcminute_t</a> &amp;obj)</td></tr>
<tr class="separator:a9740a904673836e9a483ef29550a0f59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c95fd1f99a873d319ab0e141aa7a414"><td class="memItemLeft" align="right" valign="top"><a id="a0c95fd1f99a873d319ab0e141aa7a414"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">arcminute_t</a> &amp;obj)</td></tr>
<tr class="separator:a0c95fd1f99a873d319ab0e141aa7a414"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8b52438dfd87de1cf1b03b12b989361"><td class="memItemLeft" align="right" valign="top"><a id="ac8b52438dfd87de1cf1b03b12b989361"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">arcsecond_t</a> &amp;obj)</td></tr>
<tr class="separator:ac8b52438dfd87de1cf1b03b12b989361"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a681ece009f1fe24026a01b1651362538"><td class="memItemLeft" align="right" valign="top"><a id="a681ece009f1fe24026a01b1651362538"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">arcsecond_t</a> &amp;obj)</td></tr>
<tr class="separator:a681ece009f1fe24026a01b1651362538"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03d7726f64736ce2e1d828a925066698"><td class="memItemLeft" align="right" valign="top"><a id="a03d7726f64736ce2e1d828a925066698"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">milliarcsecond_t</a> &amp;obj)</td></tr>
<tr class="separator:a03d7726f64736ce2e1d828a925066698"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78f031134823ec23c65a60ee41b19226"><td class="memItemLeft" align="right" valign="top"><a id="a78f031134823ec23c65a60ee41b19226"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">milliarcsecond_t</a> &amp;obj)</td></tr>
<tr class="separator:a78f031134823ec23c65a60ee41b19226"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aace689b178d93117926a5ecf4b2dccba"><td class="memItemLeft" align="right" valign="top"><a id="aace689b178d93117926a5ecf4b2dccba"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">turn_t</a> &amp;obj)</td></tr>
<tr class="separator:aace689b178d93117926a5ecf4b2dccba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a62ff0b25eb2b1996578f2893e96129"><td class="memItemLeft" align="right" valign="top"><a id="a1a62ff0b25eb2b1996578f2893e96129"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">turn_t</a> &amp;obj)</td></tr>
<tr class="separator:a1a62ff0b25eb2b1996578f2893e96129"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7153720d00e5937895e218b3a6f3668a"><td class="memItemLeft" align="right" valign="top"><a id="a7153720d00e5937895e218b3a6f3668a"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">gradian_t</a> &amp;obj)</td></tr>
<tr class="separator:a7153720d00e5937895e218b3a6f3668a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a4e920d2fef9938cc3f42500e152377"><td class="memItemLeft" align="right" valign="top"><a id="a9a4e920d2fef9938cc3f42500e152377"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">gradian_t</a> &amp;obj)</td></tr>
<tr class="separator:a9a4e920d2fef9938cc3f42500e152377"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for unit types and containers representing angle values </p>
<p>The SI unit for angle is <code>radians</code>, and the corresponding <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types.">base_unit</a></code> category is <code>angle_unit</code>. <a class="anchor" id="angleContainers"></a></p><dl class="section see"><dt>See also</dt><dd>See <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> for more information on <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit.">unit</a> type containers. </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:54 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
